package com.zhiwei.manage.service;

import java.util.Date;
import java.util.List;
import java.util.Map;

import com.zhiwei.manage.bean.EasyNews;
import com.zhiwei.manage.bean.News;

public interface NewsService {

	public List<News> findByNew(int delayedCount, String type, String source);

	public List<News> findByFiled(int filedCount, String type, String source);

	public int findCount(String spyId,Date start,Date end);
	
	public List<Object> findAllSource();
	
	public int findCountBySource(String source,Date start,Date end);
	
	public List<EasyNews> findAllNews(Date start,Date end);
	
	public List<Map<String,Object>> findNews(String host,int port,String dbNamel,String collection,int count,String id,String pt);

}
